<div class="table-block">
<div class="table-header">
  <h1>My files:</h1>
</div>

  <mat-form-field class="filter" appearance="standard">
    <mat-label>Search</mat-label>
    <input matInput (keyup)="applyFilter(input.value)" #input>
  </mat-form-field>

  <table mat-table [dataSource]="dataSource">
    <ng-container matColumnDef="position">
      <th mat-header-cell *matHeaderCellDef>No.</th>
      <td mat-cell *matCellDef="let idx = index">{{idx + 1}}</td>
    </ng-container>

    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef>Name</th>
      <td mat-cell
          *matCellDef="let element">{{(element.name.length > 30) ? ((element.name|slice:0:24) + '...' + (element.name|slice:-3)) : (element.name)}}</td>
    </ng-container>

    <ng-container matColumnDef="fileSize">
      <th mat-header-cell *matHeaderCellDef>Size</th>
      <td mat-cell *matCellDef="let element">{{element.fileSize | convertBytes}}</td>
    </ng-container>

    <ng-container matColumnDef="date">
      <th mat-header-cell *matHeaderCellDef>Date changed</th>
      <td mat-cell *matCellDef="let element">{{element.changed | date:'medium'}}</td>
    </ng-container>

    <ng-container matColumnDef="status">
      <th mat-header-cell *matHeaderCellDef>Status</th>
      <td mat-cell *matCellDef="let element">{{getStatusName(element.statusId)}}</td>
    </ng-container>

    <ng-container matColumnDef="actions">
      <th class="center-header" mat-header-cell *matHeaderCellDef>Actions</th>
      <td mat-cell *matCellDef="let element">
        <button mat-icon-button [matMenuTriggerFor]="menu" aria-label="Example icon-button with a menu">
          <mat-icon>more_vert</mat-icon>
        </button>


        <mat-menu #menu="matMenu">
          <button mat-menu-item (click)="download(element)">
            <mat-icon>download</mat-icon>
            <span>Download</span>
          </button>
          <button mat-menu-item (click)="copyToClipboard(element.link)">
            <mat-icon>content_copy</mat-icon>
            <span>Copy link</span>
          </button>
          <button mat-menu-item (click)="openEditDialog(element)">
            <mat-icon>edit</mat-icon>
            <span>Edit</span>
          </button>
          <button mat-menu-item (click)="openDeleteDialog(element)">
            <mat-icon>delete</mat-icon>
            <span>Delete</span>
          </button>
        </mat-menu>

      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

  </table>
  <mat-paginator
    [pageSizeOptions]="[5, 10, 20, 50]"
    showFirstLastButtons
    [length]="totalFilesCount"
    [pageSize]="pageSize"
    (page)="updatePagination($event)"
  ></mat-paginator>
</div>
